-- Deploy numerus:product_tag to pg
-- requires: schema_numerus
-- requires: tag
-- requires: product

begin;

set search_path to numerus, public;

create table product_tag (
	product_id integer not null references product,
	tag_id integer not null references tag,
	primary key (product_id, tag_id)
);

grant select, insert, update, delete on table product_tag to invoicer;
grant select, insert, update, delete on table product_tag to admin;

alter table product_tag enable row level security;

create policy company_policy
on product_tag
using (
	exists(
		select 1
		from product
		where product.product_id = product_tag.product_id
	)
);

commit;
